Make sure that PROFILE_* macros are defined on MinGW.  Not sure
what to put in them yet, so at the moment they are just empty.

Index: build-tree/ocaml-3.12.1/asmrun/i386.S
===================================================================
--- build-tree.orig/ocaml-3.12.1/asmrun/i386.S	2008-08-01 10:04:57.000000000 +0200
+++ build-tree/ocaml-3.12.1/asmrun/i386.S	2011-10-09 04:22:43.802445377 +0200
@@ -64,6 +64,9 @@
         popl %edx; popl %ecx; popl %eax; popl %ebp
 #define PROFILE_C \
         pushl %ebp; movl %esp, %ebp; call Lmcount$stub; popl %ebp
+#elif defined(SYS_mingw)
+#define PROFILE_CAML
+#define PROFILE_C
 #endif
 #else
 #define PROFILE_CAML
